> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an async task

> Endpoint to fetch an AsyncTask.

Async Tasks are created when a long-running process is initiated (e.g. form generation) and can be used to track the progress of that process and fetch the results once it is completed.

The following example is for a Form Generation task, but the response fields will differ depending on the specific AsyncTask instance requested.



## OpenAPI

````yaml /spec/openapi.json get /async_tasks/{async_task}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /async_tasks/{async_task}:
    get:
      tags:
        - Async Tasks
      summary: Retrieve an async task
      description: >-
        Endpoint to fetch an AsyncTask.


        Async Tasks are created when a long-running process is initiated (e.g.
        form generation) and can be used to track the progress of that process
        and fetch the results once it is completed.


        The following example is for a Form Generation task, but the response
        fields will differ depending on the specific AsyncTask instance
        requested.
      operationId: async-tasks-show
      parameters:
        - name: async_task
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"async_task"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/AsyncTask'
              example:
                id: <id>
                object: async_task
                data:
                  type: form_generation
                  status: processing
                  completed_at: null
                  results: []
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /async_tasks/<id>
components:
  schemas:
    AsyncTask:
      type: object
      title: Async Task
      properties:
        type:
          type: string
          enum:
            - batch_delete
            - batch_upsert
            - bulk_create
            - bulk_delete
            - bulk_update
            - form_generation
            - scenario_seed
        status:
          type: string
          enum:
            - completed
            - error
            - processing
        completed_at:
          type: string
          readOnly: true
          nullable: true
          format: dateTime
        results:
          type: object
          nullable: true
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````